document.addEventListener('DOMContentLoaded', function() {
    var pathname = window.location.pathname;

    // 조건: '/entry/'를 포함하거나, '/숫자' 형식인 경우
    var isTargetPage = pathname.includes('/entry/') || /^\/\d+$/.test(pathname);
	
    if (isTargetPage) {
        var postContent = document.querySelector('.post-content');
        if (!postContent) return;

        var firstH2 = postContent.querySelector('h2');
        
        if (firstH2) {
           
            var tocDiv = document.createElement('div');
            tocDiv.id = 'toc-ym';

           
            firstH2.parentNode.insertBefore(tocDiv, firstH2);
        }

       
        var toc = document.getElementById('toc-ym');
        var headers = postContent.querySelectorAll('h2, h3, h4');
        var list = document.createElement('ul');
        var h2Index = 0;
        var h3Index = 0;
        var h4Index = 0;

        headers.forEach(function(header, index) {
            if (header.tagName.toLowerCase() === 'h2') {
                h2Index++;
                h3Index = 0;
                h4Index = 0;
                var listItem = document.createElement('li');
                var anchor = document.createElement('a');
                anchor.textContent = h2Index + '. ' + header.textContent;
                anchor.href = '#section' + index;
                header.id = 'section' + index;
                listItem.appendChild(anchor);
                list.appendChild(listItem);
            } else if (header.tagName.toLowerCase() === 'h3') {
                h3Index++;
                h4Index = 0;
                var subListItem = document.createElement('li');
                var subAnchor = document.createElement('a');
                subAnchor.textContent = h2Index + '.' + h3Index + ' ' + header.textContent;
                subAnchor.href = '#section' + index;
                header.id = 'section' + index;
                subListItem.appendChild(subAnchor);
                if (list.lastElementChild.querySelector('ul') === null) {
                    var subList = document.createElement('ul');
                    list.lastElementChild.appendChild(subList);
                }
                list.lastElementChild.querySelector('ul').appendChild(subListItem);
            } else if (header.tagName.toLowerCase() === 'h4') {
                h4Index++;
                var subSubListItem = document.createElement('li');
                var subSubAnchor = document.createElement('a');
                subSubAnchor.textContent = h2Index + '.' + h3Index + '.' + h4Index + ' ' + header.textContent;
                subSubAnchor.href = '#section' + index;
                header.id = 'section' + index;
                subSubListItem.appendChild(subSubAnchor);
                var lastUl = list.lastElementChild.querySelector('ul');
                if (lastUl.lastElementChild.querySelector('ul') === null) {
                    var subSubList = document.createElement('ul');
                    lastUl.lastElementChild.appendChild(subSubList);
                }
                lastUl.lastElementChild.querySelector('ul').appendChild(subSubListItem);
            }
        });

        toc.appendChild(list);
    }
});